summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Dominik Drobek <dominik.drobek@o2.pl>2011-03-05 16:11:58 +0000
committer Robby Workman <rworkman@slackbuilds.org>2011-03-08 12:14:31 -0600
commite7d570026f80a9ccdb1149bfbc5c5089010e2ad1 (patch)
tree40b125089f26b21def57089e9156002279a91ee8 /network
parenta68841f8573608456c650f62f0727dfbcecd1081 (diff)
downloadslackbuilds-e7d570026f80a9ccdb1149bfbc5c5089010e2ad1.tar.gz
slackbuilds-e7d570026f80a9ccdb1149bfbc5c5089010e2ad1.tar.xz
network/cowpatty: Added. WPA-PSK dictionary attack tool.
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/cowpatty/README6
-rw-r--r--network/cowpatty/cowpatty.SlackBuild66
-rw-r--r--network/cowpatty/cowpatty.info10
-rw-r--r--network/cowpatty/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/network/cowpatty/README b/network/cowpatty/README
new file mode 100644
index 0000000000..c571ae1838
--- /dev/null
+++ b/network/cowpatty/README
@@ -0,0 +1,6 @@
+Cowpatty is an implementation of an offline dictionary attack against
+WPA/WPA2 networks using PSK-based authentication. Cowpatty can carry
+out an accelerated attack if a precomputed hash table for the target
+SSID is available.
+
+The package contains a small dictionary file and sample capture files.
diff --git a/network/cowpatty/cowpatty.SlackBuild b/network/cowpatty/cowpatty.SlackBuild
new file mode 100644
index 0000000000..a7ab733e9f
--- /dev/null
+++ b/network/cowpatty/cowpatty.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for cowpatty
+# Written by Dominik Drobek <dominik.drobek (at) o2.pl>
+
+PRGNAM=cowpatty
+VERSION=${VERSION:-4.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# force the Makefile to use our SLKCFLAGS:
+sed -i 14s/"-g3 -ggdb"/"-g3 -ggdb ${SLKCFLAGS}"/ Makefile
+
+make
+make strip
+make install BINDIR=/usr/bin DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGELOG COPYING FAQ INSTALL README TODO dict file_magic *.dump \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/cowpatty/cowpatty.info b/network/cowpatty/cowpatty.info
new file mode 100644
index 0000000000..d2c7bac7e6
--- /dev/null
+++ b/network/cowpatty/cowpatty.info
@@ -0,0 +1,10 @@
+PRGNAM="cowpatty"
+VERSION="4.6"
+HOMEPAGE="http://www.willhackforsushi.com"
+DOWNLOAD="http://www.willhackforsushi.com/code/cowpatty/4.6/cowpatty-4.6.tgz"
+MD5SUM="b90fd36ad987c99e7cc1d2a05a565cbd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dominik Drobek"
+EMAIL="dominik.drobek@o2.pl"
+APPROVED="Michiel van Wessem"
diff --git a/network/cowpatty/slack-desc b/network/cowpatty/slack-desc
new file mode 100644
index 0000000000..11118e9380
--- /dev/null
+++ b/network/cowpatty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cowpatty: cowpatty (WPA-PSK dictionary attack tool)
+cowpatty:
+cowpatty: Cowpatty is an implementation of an offline dictionary attack against
+cowpatty: WPA/WPA2 networks using PSK-based authentication. Cowpatty can carry
+cowpatty: out an accelerated attack if a precomputed hash table for the target
+cowpatty: SSID is available.
+cowpatty:
+cowpatty: Homepage: http://www.willhackforsushi.com/
+cowpatty:
+cowpatty:
+cowpatty: